<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-req-doc-upload-heading" jhiTranslate="tfsBackendApp.reqDocUpload.home.createOrEditLabel">Create or edit a Req Doc Upload</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="tfsBackendApp.reqDocUpload.pathDoc" for="field_pathDoc">Path Doc</label>
                    <input type="text" class="form-control" name="pathDoc" id="field_pathDoc"
                           formControlName="pathDoc"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="tfsBackendApp.reqDocUpload.typeDoc" for="field_typeDoc">Type Doc</label>
                    <input type="text" class="form-control" name="typeDoc" id="field_typeDoc"
                           formControlName="typeDoc"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="tfsBackendApp.reqDocUpload.uploadedAt" for="field_uploadedAt">Uploaded At</label>
                    <div class="input-group">
                        <input id="field_uploadedAt" type="text" class="form-control" name="uploadedAt" ngbDatepicker #uploadedAtDp="ngbDatepicker" formControlName="uploadedAt"/>
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="uploadedAtDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
                        </span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="tfsBackendApp.reqDocUpload.updatedAt" for="field_updatedAt">Updated At</label>
                    <div class="d-flex">
                        <input id="field_updatedAt" type="datetime-local" class="form-control" name="updatedAt" formControlName="updatedAt" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="tfsBackendApp.reqDocUpload.request" for="field_request">Request</label>
                    <select class="form-control" id="field_request" name="request" formControlName="request">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="requestOption.id === editForm.get('request')!.value?.id ? editForm.get('request')!.value : requestOption" *ngFor="let requestOption of requests; trackBy: trackById">{{ requestOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
